> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debitdirect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments



## OpenAPI

````yaml get /Payments
openapi: 3.0.4
info:
  title: Debitdirect.API
  version: '1.0'
servers: []
security: []
paths:
  /Payments:
    get:
      tags:
        - Payments
      parameters:
        - name: filter
          in: query
          schema:
            type: string
        - name: orderby
          in: query
          schema:
            type: string
        - name: after
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 20
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PaymentListItemPaginationContainer'
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentListItemPaginationContainer'
            text/json:
              schema:
                $ref: '#/components/schemas/PaymentListItemPaginationContainer'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    PaymentListItemPaginationContainer:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/PaymentListItem'
          nullable: true
          readOnly: true
        nextOffset:
          type: string
          nullable: true
          readOnly: true
        hasMore:
          type: boolean
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PaymentListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        paymentDate:
          type: string
          format: date-time
        scheduleDate:
          type: string
          format: date-time
          nullable: true
        handle:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        reference:
          type: string
          nullable: true
        amount:
          type: integer
          format: int32
        currency:
          type: string
          nullable: true
        test:
          type: boolean
        status:
          $ref: '#/components/schemas/PaymentStatusEnum'
        settlementDate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        modifiedAt:
          type: string
          format: date-time
          nullable: true
        customer:
          $ref: '#/components/schemas/PaymentCustomerListItem'
        mandate:
          $ref: '#/components/schemas/PaymentMandateListItem'
      additionalProperties: false
    PaymentStatusEnum:
      enum:
        - Pending
        - Settled
        - Scheduled
        - Rejected
        - Cancelled
        - Chargeback
        - PendingCancel
      type: string
    PaymentCustomerListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMandateListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        handle:
          type: string
          nullable: true
        scheme:
          type: string
          nullable: true
      additionalProperties: false

````